 /*+------------------------------------------------------------------*/
 /*                                                                   */
 /* Microsoft Windows                                                 */
 /* Copyright (C) Microsoft Corporation, 1992-1999.                   */
 /*                                                                   */
 /* File:       cguid.cpy                                             */
 /*                                                                   */
 /*-------------------------------------------------------------------*/

 %dcl #_CGUID_H__ char ext;
 %if #_CGUID_H__ = '' %then %do;
 %#_CGUID_H__ = 'Y';

 dcl ( GUID_NULL                          type IID
     , IID_IRpcChannel                    type IID
     , IID_IRpcStub                       type IID
     , IID_IStubManager                   type IID
     , IID_IRpcProxy                      type IID
     , IID_IProxyManager                  type IID
     , IID_IPSFactory                     type IID
     , IID_IInternalMoniker               type IID
     , IID_IDfReserved1                   type IID
     , IID_IDfReserved2                   type IID
     , IID_IDfReserved3                   type IID
     , CLSID_StdMarshal                   type CLSID
     , CLSID_AggStdMarshal                type CLSID
     , CLSID_StdAsyncActManager           type CLSID
     , IID_IStub                          type IID
     , IID_IProxy                         type IID
     , IID_IEnumGeneric                   type IID
     , IID_IEnumHolder                    type IID
     , IID_IEnumCallback                  type IID
     , IID_IOleManager                    type IID
     , IID_IOlePresObj                    type IID
     , IID_IDebug                         type IID
     , IID_IDebugStream                   type IID
     , CLSID_PSGenObject                  type CLSID
     , CLSID_PSClientSite                 type CLSID
     , CLSID_PSClassObject                type CLSID
     , CLSID_PSInPlaceActive              type CLSID
     , CLSID_PSInPlaceFrame               type CLSID
     , CLSID_PSDragDrop                   type CLSID
     , CLSID_PSBindCtx                    type CLSID
     , CLSID_PSEnumerators                type CLSID
     , CLSID_StaticMetafile               type CLSID
     , CLSID_StaticDib                    type CLSID
     , CID_CDfsVolume                     type CLSID
     , CLSID_DCOMAccessControl            type CLSID
     , CLSID_StdGlobalInterfaceTable      type CLSID
     , CLSID_ComBinding                   type CLSID
     , CLSID_StdEvent                     type CLSID
     , CLSID_ManualResetEvent             type CLSID
     , CLSID_SynchronizeContainer         type CLSID

     /**********************************************/
     /*                                            */
     /* CD Forms CLSIDs                            */
     /*                                            */
     /**********************************************/

     /* Form Kernel objects */
     , CLSID_CCDFormKrnl                  type CLSID
     , CLSID_CCDPropertyPage              type CLSID
     , CLSID_CCDFormDialog                type CLSID

     /* Control objects */
     , CLSID_CCDCommandButton             type CLSID
     , CLSID_CCDComboBox                  type CLSID
     , CLSID_CCDTextBox                   type CLSID
     , CLSID_CCDCheckBox                  type CLSID
     , CLSID_CCDLabel                     type CLSID
     , CLSID_CCDOptionButton              type CLSID
     , CLSID_CCDListBox                   type CLSID
     , CLSID_CCDScrollBar                 type CLSID
     , CLSID_CCDGroupBox                  type CLSID

     /* Property Pages */
     , CLSID_CCDGeneralPropertyPage       type CLSID
     , CLSID_CCDGenericPropertyPage       type CLSID
     , CLSID_CCDFontPropertyPage          type CLSID
     , CLSID_CCDColorPropertyPage         type CLSID
     , CLSID_CCDLabelPropertyPage         type CLSID
     , CLSID_CCDCheckBoxPropertyPage      type CLSID
     , CLSID_CCDTextBoxPropertyPage       type CLSID
     , CLSID_CCDOptionButtonPropertyPage  type CLSID
     , CLSID_CCDListBoxPropertyPage       type CLSID
     , CLSID_CCDCommandButtonPropertyPage type CLSID
     , CLSID_CCDComboBoxPropertyPage      type CLSID
     , CLSID_CCDScrollBarPropertyPage     type CLSID
     , CLSID_CCDGroupBoxPropertyPage      type CLSID
     , CLSID_CCDXObjectPropertyPage       type CLSID

     , CLSID_CStdPropertyFrame            type CLSID

     , CLSID_CFormPropertyPage            type CLSID
     , CLSID_CGridPropertyPage            type CLSID

     , CLSID_CWSJArticlePage              type CLSID
     , CLSID_CSystemPage                  type CLSID

     , CLSID_IdentityUnmarshal            type CLSID
     , CLSID_InProcFreeMarshaler          type CLSID

     , CLSID_Picture_Metafile             type CLSID
     , CLSID_Picture_EnhMetafile          type CLSID
     , CLSID_Picture_Dib                  type CLSID

      /* Enumerations */
     , GUID_TRISTATE                      type GUID
     ) static external reserved (imported) nonasgn;

 %end; /* __CGUID_H__ */
