 /*++ BUILD Version: 0001                                             */
 /*   -- Increment this if a change has global effects                */
 /*                                                                   */
 /* Copyright 1991-1998 Microsoft Corporation                         */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*   lmuseflg.cpy                                                    */
 /*                                                                   */
 /*  Abstract:                                                        */
 /*                                                                   */
 /*   This file contains deletion force levels for deleting a         */
 /*   connection.                                                     */
 /*                                                                   */
 /* Environment:                                                      */
 /*                                                                   */
 /*   User Mode - Win32                                               */
 /*                                                                   */
 /* Notes:                                                            */
 /*                                                                   */
 /*   This file has no dependencies.  It is included by lmwksta.cpy   */
 /*   and lmuse.cpy.                                                  */
 /*                                                                   */
 /* Revision History:                                                 */
 /*                                                                   */
 /*--                                                                 */

 %dcl #LMUSEFLG_ char ext;
 %if #LMUSEFLG_ = '' %then %do;
 %#LMUSEFLG_ = 'Y';

 /* Definition for NetWkstaTransportDel and NetUseDel */
 /* deletion force levels                             */

 dcl USE_NOFORCE       fixed bin(31) value(0);
 dcl USE_FORCE         fixed bin(31) value(1);
 dcl USE_LOTS_OF_FORCE fixed bin(31) value(2);

 %end; /* _LMUSEFLG_ */
